RubyGems Navigation menu

activeinteractor 1.2.1

An implementation of the Command Pattern for Ruby with ActiveModel::Validations inspired by the interactor gem. Rich support for attributes, callbacks, and validations, and thread safe performance methods.

Versions:

  1. 1.2.1 - September 26, 2022 (39 KB)
  2. 1.2.0 - September 08, 2022 (39 KB)
  3. 1.1.7 - September 26, 2022 (37.5 KB)
  4. 1.1.6 - April 25, 2022 (37 KB)
  5. 1.1.4 - March 07, 2022 (37 KB)
Show all versions (37 total)

Runtime Dependencies (2):

  • activemodel >= 4.2, < 8
  • activesupport >= 4.2, < 8
  • Development Dependencies (3):

  • bundler ~> 2.3
  • rake ~> 13.0
  • rspec ~> 3.11
  • Owners:

    Pushed by:

    Authors:

    • Aaron Allen

    SHA 256 checksum:

    0274bbfb990cc9142d45bdb0481cab2a9c6faf4b47a90f3b5403bd577a3e4381

    Total downloads 68,119

    For this version 3,062

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 2.5.0

    Links: